package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag756;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT756Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT756Creator mt756Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt756Creator= (MT756Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt756Creator.getPresentingBanksReference();
        mt756Creator.set("21", tag21Value);
    }
}
